From 1a001cd80d8f5c3e763f8632e10f959775aa7887 Mon Sep 17 00:00:00 2001
From: Robert Vollmert <rob@vllmrt.net>
Date: Sat, 18 May 2019 03:37:43 +0200
Subject: [PATCH 02/11] tests: hackage: test multiline cabal description

* tests/hackage.scm: Add test case with multi-line description.
---
 tests/hackage.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/tests/hackage.scm b/tests/hackage.scm
index e56aa996d6..41cea73fe7 100644
--- a/tests/hackage.scm
+++ b/tests/hackage.scm
@@ -128,6 +128,21 @@ library
       mtl        >= 2.0      && < 3
 ")
 
+;; Check multi-line layouted description
+(define test-cabal-7
+  "name: foo
+version: 1.0.0
+homepage: http://test.org
+synopsis: synopsis
+description:   first line
+               second line
+license: BSD3
+executable cabal
+  build-depends:
+    HTTP       >= 4000.2.5 && < 4000.3,
+    mtl        >= 2.0      && < 3
+")
+
 ;; A fragment of a real Cabal file with minor modification to check precedence
 ;; of 'and' over 'or', missing final newline, spaces between keywords and
 ;; parentheses and between key and column.
@@ -243,6 +258,10 @@ library
      (x
       (pk 'fail x #f)))))
 
+(test-assert "hackage->guix-package test 7"
+  (eval-test-with-cabal test-cabal-7
+                        #:cabal-environment '(("impl" . "ghc-7.8"))))
+
 (test-assert "read-cabal test 1"
   (match (call-with-input-string test-read-cabal-1 read-cabal)
     ((("name" ("test-me"))
-- 
2.21.0

